'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = babelPresetWhim;

var _babelPluginEnv = require('babel-plugin-env');

var _babelPluginEnv2 = _interopRequireDefault(_babelPluginEnv);

var _babelPluginIstanbul = require('babel-plugin-istanbul');

var _babelPluginIstanbul2 = _interopRequireDefault(_babelPluginIstanbul);

var _babelPluginTransformObjectRestSpread = require('babel-plugin-transform-object-rest-spread');

var _babelPluginTransformObjectRestSpread2 = _interopRequireDefault(_babelPluginTransformObjectRestSpread);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function babelPresetWhim(context, opts = {}) {
	const browsers = opts.browsers || 'last 2 versions';
	const esmodules = opts.esmodules || false;
	const node = opts.node || 6;

	return {
		presets: [[_babelPluginEnv2.default, {
			targets: {
				browsers,
				esmodules,
				node
			}
		}]],
		plugins: [_babelPluginTransformObjectRestSpread2.default],
		env: {
			test: {
				plugins: [_babelPluginIstanbul2.default]
			}
		}
	};
}